Kerbal Space Program - Bug #3939

Orbit of active vessel in space seems to have drag,
01/04/2015 10:16 PM - jdcolclazier@gmail.com

Status: Closed Start date: 01/04/2015
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

I've tried resolving this to no success - details below. Keep in mind - I'm running KSP 32-bit, Windows 8.1, version .90 - loving
everything so far! Although | use mods profusely, I've replicated this bug on a stock install as well. Does not seem to matter what
vessel is selected - only requirement is for it to be in space.

Example 1: Circularize a satellite at 72,000m - as close as possible... then watch the periapsis decrease as the apoapsis
increases(not at the same rate, mind you) - this only seems to occur in real-time(or physical-time-warp), and only on the active
vessel.

Example 2: Complete a transfer burn to Minmus, then physical-time-warp and watch your ship slowly decelerate to the point of
missing Minmus altogether. It's almost as if there's drag being applied to the vessel.

I've included screen-shots of Example 1, or a recreation of it at least... watch the periapsis drop over the particular time intervals... |
didn't take screen-shots of the apoapsis, but it was somewhere in the 98k range.

If this has already been submitted, | apologize... | couldn't find it for the life of me.

History

#1 - 01/04/2015 10:18 PM - jdcolclazier@gmail.com

| should have mentioned - the vessel used in this case was the Z-Map Satellite Launch kit - a stock vessel.
And... regarding the orbit, here's a bit more info..
In fact, the orbit seems to be oscillating while decelerating:

1st monitored orbit:
Periapsis --> min: 70,803; max: 71,325
Apoapsis --> min: 97,996; max: 98,396

2nd monitored orbit:
Periapsis --> min: 70,645; max: 71,166 (Net loss for Periapsis: 158)
Apoapsis --> min: 97,825; max: 98,210 (Net loss for Apoapsis: 186)

3rd monitored orbit:
Periapsis --> min: 70,481; max: 71,004 (Net loss for Periapsis: 162)
Apoapsis --> min: 97,654; max: 98,052 (Net loss for Apoapsis: 158)

Whether or not the apogee or perigee is decreasing or not depends on the vessel. The apogee/perigee will decrease whenever the vessel is closer to
it than it is to the other. In other words, for an orbit, whenever the vessel is closer to the apogee, the apogee will decrease, and the perigee will

increase. Once the vessel is closer to the perigee, the perigee will start decreasing, and the apogee will start increasing. This ultimately means that
the vessel will constantly decelerate on a path that isn't an orbit (i.e. example two above)

#2 - 01/05/2015 07:54 AM - Squelch

- Status changed from New to Need More Info

After following your description, | cannot reproduce the same situation. The AP?PE appear to be stable throughout the orbit. Undertaking a Minmus
transfer works as predicted with the velocity changing en route as expected, but the encounter is made.

Is it possible you have a tainted save after the removal of mods?
Any logs and enhancements on the reproduction would be helpful in identifying this problem.

#3 - 06/09/2015 01:41 AM - MrDavidCrane
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

Squelch wrote:

After following your description, | cannot reproduce the same situation. The AP?PE appear to be stable throughout the orbit. Undertaking a

Minmus transfer works as predicted with the velocity changing en route as expected, but the encounter is made.

Is it possible you have a tainted save after the removal of mods?

Any logs and enhancements on the reproduction would be helpful in identifying this problem.

| started experiencing this after the last update. I've even gone so far as to uninstall everything and install the game fresh.

| can reproduce it by creating even a 1 part construction (Command Pod, Probe Core, etc), and placing it into orbit around Kerbin (either via editing
the save or via HyperEdit produces the same result). At a 6 million meter orbit | was decelerating and the periapsis drops by about 80 meters per
second. If | return to the space center and then back to the vessel, I'm suddenly accelerating and at a 6 million meter orbit gain about 200 meters/sec

to my apoapsis.
Restarting KSP has no effect.

No mods I've tried can stop it.

I've also tried changing my detail settings, (since low detail terrain can kill kerbals, maybe something was affecting drag/acceleration?), as well as my

physics calculations per second. No luck.
Affected KSP Build: 1.0.2.842 (Since 1.0.1)

Computer Specs:

Windows 8.1, 64-bit latest build

Processor: Interl(R) Core(TM) i5-4670 @3.4GHz
16.0 GB DDR3 @665 MHz

NVIDIA GeForce GTX 780 - 3071MB VRAM

Please let me know what else | can send your way for diagnosis.

Edit: Visual Symptoms https:/www.youtube.com/watch?v=R1vwvXxuE6l

#4 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:31 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:

Files

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
